<?php
// $Id: theme-settings.php,v 1.6 2008/05/13 09:19:13 johnalbin Exp $

// Include the definition of zen_settings() and zen_theme_get_default_settings().
include_once './' . drupal_get_path('theme', 'zen') . '/theme-settings.php';


/**
 * Implementation of THEMEHOOK_settings() function.
 *
 * @param $saved_settings
 *   An array of saved settings for this theme.
 * @return
 *   A form array.
 */
function austin_settings($saved_settings) {

  // Get the default values from the .info file.
  $defaults = zen_theme_get_default_settings('sitetheme');

  // Merge the saved variables and their default values.
  $settings = array_merge($defaults, $saved_settings);

  /*
   * Create the form using Forms API: http://api.drupal.org/api/6
   */
  $form = array();
  $form['austin_example'] = array(
    '#type'          => 'alternate color option',
    '#title'         => t('Use this color palette'),
    '#default_value' => $settings['austin_example'],
    '#description'   => t("This option doesn't do anything; it's just an example."),
  );
  
  $form['austin_example'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Choose the alternate color palette'),
    '#default_value' => $settings['austin_example'],
    '#description'   => t('The alternate color palette is blue and red.'),
    '#prefix'        => '<div id="div-austin-colors"><strong>' . t('Color Option 2:') . '</strong>',
    '#suffix'        => '</div>',
  );

  // */

  // Add the base theme's settings.
  $form += zen_settings($saved_settings, $defaults);

  // Remove some of the base theme's settings.
  unset($form['themedev']['zen_layout']); // We don't need to select the base stylesheet.

  // Return the form
  return $form;
}
